Index: src/sas/sasgui/guiframe/data_panel.py
===================================================================
--- src/sas/sasgui/guiframe/data_panel.py	(revision b5c44f0493a2482bb7ea5c39743c7eb7514dd935)
+++ src/sas/sasgui/guiframe/data_panel.py	(revision e767897d6a10f25bfe2bccbef3e3fe6ab0385f7c)
@@ -1047,5 +1054,5 @@
             perspective.on_perspective(event=None)
             self.parent.check_multimode(perspective=perspective)
-                
+
     def _on_plot_selection(self, event=None):
         """
@@ -1061,10 +1068,10 @@
         if combo.GetValue() != 'None':
             panel = combo.GetClientData(selection)
-            self.parent.on_set_plot_focus(panel)   
-            
+            self.parent.on_set_plot_focus(panel)
+
     def on_close_plot(self, event):
         """
         clseo the panel on focus
-        """ 
+        """
         self.enable_append()
         selection = self.cb_plotpanel.GetSelection()
@@ -1072,19 +1079,19 @@
             panel = self.cb_plotpanel.GetClientData(selection)
             if self.parent is not None and panel is not None:
-                wx.PostEvent(self.parent, 
+                wx.PostEvent(self.parent,
                              NewPlotEvent(group_id=panel.group_id,
                                           action="delete"))
         self.enable_remove_plot()
-    
+
     def set_frame(self, frame):
         """
         """
         self.frame = frame
-    
+
     def get_frame(self):
         """
         """
-        return self.frame 
-    
+        return self.frame
+
     def on_help(self, event):
         """
@@ -1115,5 +1122,5 @@
         """
         self.parent.show_data_panel(event)
-                        
+
     def set_schedule_full_draw(self, panel=None, func='del'):
         """
@@ -1121,5 +1128,5 @@
         """
         self.parent.set_schedule_full_draw(panel, func)
-        
+
     def enable_remove_plot(self):
         """
@@ -1131,5 +1138,5 @@
         #else:
         #    self.bt_close_plot.Enable()
-            
+
     def enable_remove(self):
         """
@@ -1142,5 +1149,5 @@
         else:
             self.bt_remove.Enable()
-            
+
     def enable_import(self):
         """
@@ -1160,10 +1167,10 @@
         else:
             self.perspective_cbox.Enable()
-            
+
     def enable_plot(self):
         """
         enable or disable plot button
         """
-        n_t = 0 
+        n_t = 0
         n_t_t = 0
         if self.tree_ctrl != None:
@@ -1176,10 +1183,10 @@
             self.bt_plot.Enable()
         self.enable_append()
-       
+
     def enable_append(self):
         """
         enable or disable append button
         """
-        n_t = 0 
+        n_t = 0
         n_t_t = 0
         if self.tree_ctrl != None:
@@ -1187,5 +1194,5 @@
         if self.tree_ctrl_theory != None:
             n_t_t = self.tree_ctrl_theory.GetCount()
-        if n_t + n_t_t <= 0: 
+        if n_t + n_t_t <= 0:
             self.bt_append_plot.Disable()
             self.cb_plotpanel.Disable()
@@ -1196,5 +1203,5 @@
             self.bt_append_plot.Enable()
             self.cb_plotpanel.Enable()
-            
+
     def check_theory_to_freeze(self):
         """
@@ -1214,5 +1221,5 @@
         else:
             self.bt_freeze.Disable()
-        
+
     def enable_selection(self):
         """
@@ -1229,8 +1236,8 @@
         else:
             self.selection_cbox.Disable()
-            
+
     def show_data_button(self):
         """
-        show load data and remove data button if 
+        show load data and remove data button if
         dataloader on else hide them
         """
@@ -1238,14 +1245,14 @@
             gui_style = self.parent.get_style()
             style = gui_style & GUIFRAME.DATALOADER_ON
-            if style == GUIFRAME.DATALOADER_ON: 
+            if style == GUIFRAME.DATALOADER_ON:
                 #self.bt_remove.Show(True)
-                self.bt_add.Show(True) 
+                self.bt_add.Show(True)
             else:
                 #self.bt_remove.Hide()
                 self.bt_add.Hide()
-        except: 
+        except:
             #self.bt_remove.Hide()
-            self.bt_add.Hide() 
-    
+            self.bt_add.Hide()
+
 
 
@@ -1264,5 +1271,5 @@
         self.list_of_ctrl = []
         if not data_list:
-            return 
+            return
         self._sizer_main = wx.BoxSizer(wx.VERTICAL)
         self._sizer_txt = wx.BoxSizer(wx.VERTICAL)
@@ -1273,5 +1280,5 @@
         self._panel.SetupScrolling()
         self.__do_layout(data_list, text=text)
-        
+
     def __do_layout(self, data_list, text=''):
         """
@@ -1279,7 +1286,7 @@
         """
         if not data_list or len(data_list) <= 1:
-            return 
+            return
         #add text
-        
+
         text = "Deleting these file reset some panels.\n"
         text += "Do you want to proceed?\n"
@@ -1315,8 +1322,8 @@
                                 wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
         static_line = wx.StaticLine(self, -1)
-        
+
         self._sizer_txt.Add(self._panel, 1, wx.EXPAND|wx.LEFT|wx.RIGHT, 5)
         self._sizer_main.Add(self._sizer_txt, 1, wx.EXPAND|wx.ALL, 10)
-        #self._sizer_main.Add(self._data_text_ctrl, 0, 
+        #self._sizer_main.Add(self._data_text_ctrl, 0,
         #                     wx.EXPAND|wx.LEFT|wx.RIGHT, 10)
         self._sizer_main.Add(static_line, 0, wx.EXPAND, 0)
@@ -1324,5 +1331,5 @@
         self.SetSizer(self._sizer_main)
         self.Layout()
-        
+
     def get_data(self):
         """
@@ -1335,5 +1342,5 @@
                 temp.append(data)
         return temp
-               
+
 class DataFrame(wx.Frame):
     """
@@ -1347,5 +1354,5 @@
     #  tied to any perspective
     ALWAYS_ON = True
-    
+
     def __init__(self, parent=None, owner=None, manager=None, size=(300, 800),
                          list_of_perspective=[], list=[], *args, **kwds):
@@ -1357,8 +1364,8 @@
         self.owner = owner
         self._manager = manager
-        self.panel = DataPanel(parent=self, 
+        self.panel = DataPanel(parent=self,
                                manager=manager,
                                list_of_perspective=list_of_perspective)
-     
+
     def load_data_list(self, list=[]):
         """
@@ -1366,7 +1373,7 @@
         """
         self.panel.load_data_list(list=list)
-        
-   
-    
+
+
+
 from sas.sasgui.guiframe.dataFitting import Theory1D
 from sas.sasgui.guiframe.data_state import DataState
@@ -1383,5 +1390,5 @@
         self.msg += "name  value\n"
         return self.msg
-    
+
 def set_data_state(data=None, path=None, theory=None, state=None):
     """
@@ -1391,9 +1398,9 @@
     dstate.set_path(path=path)
     dstate.set_theory(theory, state)
-  
+
     return dstate
-    
+
 if __name__ == "__main__":
-    
+
     app = wx.App()
     try:
@@ -1477,6 +1484,4 @@
         #raise
         print "error", sys.exc_value
-        
-    app.MainLoop()  
-    
-    
+
+    app.MainLoop()
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision faa3ae7bb2790a5fa3ceae0690d20ed2c371b3af)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision a674d0b7da37ed36693004d2d51e0941ed38842f)
@@ -162,5 +162,5 @@
             logging.error("Loader returned an invalid object:\n %s" % str(item))
             data_error = True
-        
+
         data = self.parent.create_gui_data(item, p_file)
         output[data.id] = data
@@ -170,69 +170,69 @@
         """
         """
-        message = ""
-        log_msg = ''
+        file_errors = {}
         output = {}
-        any_error = False
-        data_error = False
-        error_message = ""
+        exception_occurred = False
+
         for p_file in path:
-            info = "info"
             basename = os.path.basename(p_file)
             _, extension = os.path.splitext(basename)
             if extension.lower() in EXTENSIONS:
-                any_error = True
                 log_msg = "Data Loader cannot "
-                log_msg += "load: %s\n" % str(p_file)
-                log_msg += """Please try to open that file from "open project" """
-                log_msg += """or "open analysis" menu\n"""
-                error_message = log_msg + "\n"
+                log_msg += "load: {}\n".format(str(p_file))
+                log_msg += "Please try to open that file from \"open project\""
+                log_msg += "or \"open analysis\" menu."
                 logging.info(log_msg)
+                file_errors[basename] = [log_msg]
                 continue
 
             try:
-                message = "Loading Data... " + str(p_file) + "\n"
-                self.load_update(output=output, message=message, info=info)
+                message = "Loading {}...\n".format(p_file)
+                self.load_update(output=output, message=message, info="info")
                 temp = self.loader.load(p_file, format)
-                if temp.__class__.__name__ == "list":
-                    for item in temp:
-                        output, error_message, data_error = \
-                            self._process_data_and_errors(item,
-                                                          p_file,
-                                                          output,
-                                                          error_message)
-                else:
+                if not isinstance(temp, list):
+                    temp = [temp]
+                for item in temp:
+                    error_message = ""
                     output, error_message, data_error = \
-                            self._process_data_and_errors(temp,
-                                                          p_file,
-                                                          output,
-                                                          error_message)
+                        self._process_data_and_errors(item,
+                                                      p_file,
+                                                      output,
+                                                      error_message)
+                    if data_error:
+                        if basename in file_errors.keys():
+                            file_errors[basename] += [error_message]
+                        else:
+                            file_errors[basename] = [error_message]
+                        self.load_update(output=output,
+                            message=error_message, info="warning")
+
+                self.load_update(output=output,
+                message="Loaded {}\n".format(p_file),
+                info="info")
+
             except:
                 logging.error(sys.exc_value)
-                any_error = True
-            if any_error or error_message != "":
-                if error_message == "":
-                    error = "Error: " + str(sys.exc_info()[1]) + "\n"
-                    error += "while loading Data: \n%s\n" % str(basename)
-                    error_message += "The data file you selected could not be loaded.\n"
-                    error_message += "Make sure the content of your file"
-                    error_message += " is properly formatted.\n\n"
-                    error_message += "When contacting the SasView team, mention the"
-                    error_message += " following:\n%s" % str(error)
-                elif data_error:
-                    base_message = "Errors occurred while loading "
-                    base_message += "{0}\n".format(basename)
-                    base_message += "The data file loaded but with errors.\n"
-                    error_message = base_message + error_message
-                else:
-                    error_message += "%s\n" % str(p_file)
-                info = "error"
-        
-        if any_error or error_message:
-            self.load_update(output=output, message=error_message, info=info)
-        else:
-            message = "Loading Data Complete! "
-        message += log_msg
-        self.load_complete(output=output, error_message=error_message,
-                           message=message, path=path, info='info')
+
+                error_message = "The Data file you selected could not be loaded.\n"
+                error_message += "Make sure the content of your file"
+                error_message += " is properly formatted.\n"
+                error_message += "When contacting the SasView team, mention the"
+                error_message += " following:\n"
+                error_message += "Error: " + str(sys.exc_info()[1])
+                file_errors[basename] = [error_message]
+                self.load_update(output=output, message=error_message, info="warning")
+
+        if len(file_errors) > 0:
+            error_message = ""
+            for filename, error_array in file_errors.iteritems():
+                error_message += "The following errors occured whilst "
+                error_message += "loading {}:\n".format(filename)
+                for message in error_array:
+                    error_message += message + "\n"
+                error_message += "\n"
+            self.load_update(output=output, message=error_message, info="error")
+
+        self.load_complete(output=output, message="Loading data complete!",
+            info="info")
 
     def load_update(self, output=None, message="", info="warning"):
@@ -254,5 +254,2 @@
         #    self.load_error(error_message)
         self.parent.add_data(data_list=output)
-
-
-
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision efb482a6105c6af4b1617b1e7f47252e2146e7bb)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 895c9cb3dcc39d7f29513916f04e9863484692c8)
@@ -552,4 +552,5 @@
             self.subplot.set_xlim((xlo, xhi))
             self.subplot.set_ylim((ylo, yhi))
+        self.graph.selected_plottable = None
 
 
@@ -629,8 +630,9 @@
 
             if self.parent.ClassName.count('wxDialog') == 0:
-                wx_id = ids.next()
-                plot_menu.Append(wx_id, '&Linear Fit', name)
-                wx.EVT_MENU(self, wx_id, self.onFitting)
-                plot_menu.AppendSeparator()
+                if plot.id != 'fit':
+                    wx_id = ids.next()
+                    plot_menu.Append(wx_id, '&Linear Fit', name)
+                    wx.EVT_MENU(self, wx_id, self.onFitting)
+                    plot_menu.AppendSeparator()
 
                 wx_id = ids.next()
@@ -694,4 +696,7 @@
         self._slicerpop.AppendSeparator()
         wx_id = ids.next()
+        self._slicerpop.Append(wx_id, '&Set Graph Range')
+        wx.EVT_MENU(self, wx_id, self.onSetRange)
+        wx_id = ids.next()
         self._slicerpop.Append(wx_id, '&Reset Graph Range')
         wx.EVT_MENU(self, wx_id, self.onResetGraph)
@@ -710,4 +715,23 @@
         self.PopupMenu(self._slicerpop, pos)
 
+    def onSetRange(self, event):
+        # Display dialog
+        # self.subplot.set_xlim((low, high))
+        # self.subplot.set_ylim((low, high))
+        from sas.sasgui.plottools.RangeDialog import RangeDialog
+        d = RangeDialog(self, -1)
+        xlim = self.subplot.get_xlim()
+        ylim = self.subplot.get_ylim()
+        d.SetXRange(xlim)
+        d.SetYRange(ylim)
+        if d.ShowModal() == wx.ID_OK:
+            x_range = d.GetXRange()
+            y_range = d.GetYRange()
+            if x_range is not None and y_range is not None:
+                self.subplot.set_xlim(x_range)
+                self.subplot.set_ylim(y_range)
+                self.subplot.figure.canvas.draw_idle()
+        d.Destroy()
+
     def onFreeze(self, event):
         """
@@ -796,4 +820,5 @@
                                                              int(curr_symbol))), curr_label)
         self.appD.Bind(wx.EVT_CLOSE, self.on_AppDialog_close)
+        self.graph.selected_plottable = None
 
     def on_AppDialog_close(self, event):
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 5213d22cc2537cc6875bff5b448ef1c8caadfcd8)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision e4c897b7e24c79352d6e923b47adad24f96490b5)
@@ -2942,5 +2942,5 @@
         """
 
-        _TreeLocation = "user/sasgui/perspectives/fitting/mag_help.html"
+        _TreeLocation = "user/magnetism.html"
         _doc_viewer = DocumentationWindow(self, wx.ID_ANY, _TreeLocation, "",
                                           "Polarized Beam/Magnetc Help")
Index: src/sas/sasgui/plottools/PlotPanel.py
===================================================================
--- src/sas/sasgui/plottools/PlotPanel.py	(revision 1ed6be74dd086a570674b6acb2a8d3c7fa0bf36d)
+++ src/sas/sasgui/plottools/PlotPanel.py	(revision 1a8e2e8eb0a54bb8f079779e6b1fead25e13da68)
@@ -15,5 +15,4 @@
 import os
 import transform
-from plottables import Data1D
 #TODO: make the plottables interactive
 from binder import BindArtist
@@ -151,4 +150,5 @@
         #List of texts currently on the plot
         self.textList = []
+        self.selectedText = None
         #User scale
         if xtransform != None:
@@ -190,4 +190,5 @@
 
         # new data for the fit
+        from sas.sasgui.guiframe.dataFitting import Data1D
         self.fit_result = Data1D(x=[], y=[], dy=None)
         self.fit_result.symbol = 13
@@ -352,4 +353,9 @@
             self.leftdown = True
             ax = event.inaxes
+            for text in self.textList:
+                if text.contains(event)[0]: # If user has clicked on text
+                    self.selectedText = text
+                    return
+
             if ax != None:
                 self.xInit, self.yInit = event.xdata, event.ydata
@@ -373,4 +379,5 @@
             self.mousemotion = False
             self.leftup = True
+            self.selectedText = None
 
         #release the legend
@@ -448,4 +455,17 @@
             self._on_legend_motion(event)
             return
+
+        if self.leftdown and self.selectedText is not None:
+            # User has clicked on text and is dragging
+            ax = event.inaxes
+            if ax != None:
+                # Only move text if mouse is within axes
+                self.selectedText.set_position((event.xdata, event.ydata))
+                self._dragHelper(0, 0)
+            else:
+                # User has dragged outside of axes
+                self.selectedText = None
+            return
+
         if self.enable_toolbar:
             #Disable dragging without the toolbar to allow zooming with toolbar
@@ -646,4 +666,8 @@
                 dlg.setFitRange(self.xminView, self.xmaxView,
                                 self.xmin, self.xmax)
+            else:
+                xlim = self.subplot.get_xlim()
+                ylim = self.subplot.get_ylim()
+                dlg.setFitRange(xlim[0], xlim[1], ylim[0], ylim[1])
             # It would be nice for this to NOT be modal (i.e. Show).
             # Not sure about other ramifications - for example
@@ -1725,4 +1749,7 @@
         if remove_fit:
             self.graph.delete(self.fit_result)
+            if hasattr(self, 'plots'):
+                if 'fit' in self.plots.keys():
+                    del self.plots['fit']
         self.ly = None
         self.q_ctrl = None
@@ -1738,4 +1765,6 @@
         _yscale = 'linear'
         for item in list:
+            if item.id == 'fit':
+                continue
             item.setLabel(self.xLabel, self.yLabel)
             # control axis labels from the panel itself
@@ -1869,4 +1898,7 @@
 
         """
+        xlim = self.subplot.get_xlim()
+        ylim = self.subplot.get_ylim()
+
         # Saving value to redisplay in Fit Dialog when it is opened again
         self.Avalue, self.Bvalue, self.ErrAvalue, \
@@ -1892,4 +1924,13 @@
         self.graph.render(self)
         self._offset_graph()
+        if hasattr(self, 'plots'):
+            # Used by Plotter1D
+            fit_id = 'fit'
+            self.fit_result.id = fit_id
+            self.fit_result.title = 'Fit'
+            self.fit_result.name = 'Fit'
+            self.plots[fit_id] = self.fit_result
+        self.subplot.set_xlim(xlim)
+        self.subplot.set_ylim(ylim)
         self.subplot.figure.canvas.draw_idle()
 
Index: src/sas/sasgui/plottools/RangeDialog.py
===================================================================
--- src/sas/sasgui/plottools/RangeDialog.py	(revision 895c9cb3dcc39d7f29513916f04e9863484692c8)
+++ src/sas/sasgui/plottools/RangeDialog.py	(revision 895c9cb3dcc39d7f29513916f04e9863484692c8)
@@ -0,0 +1,101 @@
+import wx
+from math import log10
+from math import floor
+
+class RangeDialog(wx.Dialog):
+    def __init__(self, parent, id, title="Set Graph Range"):
+        wx.Dialog.__init__(self, parent, id, title, size=(350, 175))
+
+        mainbox = wx.BoxSizer(wx.VERTICAL)
+
+        x_box = wx.BoxSizer(wx.HORIZONTAL)
+
+        xmin_label = wx.StaticText(self, -1, 'xmin: ', size=(50,20))
+        x_box.Add(xmin_label)
+        self.xmin_input = wx.TextCtrl(self, -1, size=(75, -1))
+        x_box.Add(self.xmin_input)
+
+        x_box.AddSpacer(35)
+
+        xmax_label = wx.StaticText(self, -1, "xmax: ", size=(50,20))
+        x_box.Add(xmax_label)
+        self.xmax_input = wx.TextCtrl(self, -1, size=(75, -1))
+        x_box.Add(self.xmax_input)
+
+        mainbox.Add(x_box, flag=wx.CENTER | wx.ALL, border=10)
+
+        y_box = wx.BoxSizer(wx.HORIZONTAL)
+
+        ymin_label = wx.StaticText(self, -1, 'ymin: ', size=(50,20))
+        y_box.Add(ymin_label)
+        self.ymin_input = wx.TextCtrl(self, -1, size=(75, -1))
+        y_box.Add(self.ymin_input)
+
+        y_box.AddSpacer(35)
+
+        ymax_label = wx.StaticText(self, -1, "ymax: ", size=(50,20))
+        y_box.Add(ymax_label)
+        self.ymax_input = wx.TextCtrl(self, -1, size=(75, -1))
+        y_box.Add(self.ymax_input)
+
+        mainbox.Add(y_box, flag=wx.CENTER | wx.ALL, border=10)
+
+        btn_sizer = wx.BoxSizer(wx.HORIZONTAL)
+        btn_sizer.AddSpacer(20)
+
+        ok_btn = wx.Button(self, wx.ID_OK, 'Done')
+        btn_sizer.Add(ok_btn)
+
+        btn_sizer.AddSpacer(5)
+
+        cancel_btn = wx.Button(self, wx.ID_CANCEL, 'Cancel')
+        btn_sizer.Add(cancel_btn)
+
+        mainbox.Add(btn_sizer, flag=wx.CENTER, border=10)
+
+        self.SetSizer(mainbox)
+
+    def GetXRange(self):
+        xmin, xmax = (None, None)
+        try:
+            xmin = float(self.xmin_input.GetValue())
+        except:
+            pass
+        try:
+            xmax = float(self.xmax_input.GetValue())
+        except:
+            pass
+
+        if xmin is not None and xmax is not None:
+            return (xmin, xmax)
+        return None
+
+    def SetXRange(self, x_range):
+        xmin, xmax = x_range
+        self.xmin_input.SetValue(str(self._round_to_sigfig(xmin, 8)))
+        self.xmax_input.SetValue(str(self._round_to_sigfig(xmax, 8)))
+
+    def GetYRange(self):
+        ymin, ymax = (None, None)
+        try:
+            ymin = float(self.ymin_input.GetValue())
+        except:
+            pass
+        try:
+            ymax = float(self.ymax_input.GetValue())
+        except:
+            pass
+
+        if ymin is not None and ymax is not None:
+            return (ymin, ymax)
+        return None
+
+    def SetYRange(self, y_range):
+        ymin, ymax = y_range
+        self.ymin_input.SetValue(str(self._round_to_sigfig(ymin, 8)))
+        self.ymax_input.SetValue(str(self._round_to_sigfig(ymax, 8)))
+
+    def _round_to_sigfig(self, x, sigfigs):
+        if x == 0.0:
+            return 0.0
+        return round(x, sigfigs-1-int(floor(log10(abs(x)))))
Index: test/sasdataloader/test/utest_abs_reader.py
===================================================================
--- test/sasdataloader/test/utest_abs_reader.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/sasdataloader/test/utest_abs_reader.py	(revision 5f26aa48a5e34765d73c20fa10024d5319567854)
@@ -176,6 +176,5 @@
         
         self.assertEqual(self.data.run[0], "1234")
-        self.assertEqual(self.data.meta_data['loader'], "CanSAS 1D")
-        self.assertEqual(len(self.data.errors), 0)
+        self.assertEqual(self.data.meta_data['loader'], "CanSAS XML 1D")
         
         # Data
@@ -198,7 +197,7 @@
         self.assertEqual(self.data.sample.name, "my sample")
         self.assertEqual(self.data.sample.thickness_unit, 'mm')
-        self.assertEqual(self.data.sample.thickness, 1.03)
-        
-        self.assertEqual(self.data.sample.transmission, 0.327)
+        self.assertAlmostEqual(self.data.sample.thickness, 1.03)
+        
+        self.assertAlmostEqual(self.data.sample.transmission, 0.327)
         
         self.assertEqual(self.data.sample.temperature_unit, 'C')
@@ -233,7 +232,7 @@
         
         self.assertEqual(self.data.source.wavelength_max_unit, "nm")
-        self.assertEqual(self.data.source.wavelength_max, 1.0)
+        self.assertAlmostEqual(self.data.source.wavelength_max, 1.0)
         self.assertEqual(self.data.source.wavelength_min_unit, "nm")
-        self.assertEqual(self.data.source.wavelength_min, 0.22)
+        self.assertAlmostEqual(self.data.source.wavelength_min, 0.22)
         self.assertEqual(self.data.source.wavelength_spread_unit, "percent")
         self.assertEqual(self.data.source.wavelength_spread, 14.3)
@@ -248,5 +247,5 @@
             self.assertEqual(item.size_unit,'mm')
             self.assertEqual(item.distance_unit,'mm')
-            
+
             if item.size.x==50 \
                 and item.distance==11000.0 \
@@ -294,4 +293,5 @@
             self.assertTrue(item.date in ['04-Sep-2007 18:35:02',
                                           '03-SEP-2006 11:42:47'])
+            print item.term
             for t in item.term:
                 if t['name']=="ABS:DSTAND" \
@@ -345,9 +345,9 @@
         self.assertEqual(self.data.filename, filename)
         # The followed should not have been loaded
-        self.assertEqual(self.data.sample.thickness, 0.00103)
+        self.assertAlmostEqual(self.data.sample.thickness, 0.00103)
         # This one should
-        self.assertEqual(self.data.sample.transmission, 0.327)
-        
-        self.assertEqual(self.data.meta_data['loader'], "CanSAS 1D")
+        self.assertAlmostEqual(self.data.sample.transmission, 0.327)
+        
+        self.assertEqual(self.data.meta_data['loader'], "CanSAS XML 1D")
         print self.data.errors
         self.assertEqual(len(self.data.errors), 1)
@@ -385,3 +385,3 @@
 
 if __name__ == '__main__':
-    unittest.main(testRunner=unittest.TextTestRunner(verbosity=2))
+    unittest.main()
Index: test/sasdataloader/test/utest_cansas.py
===================================================================
--- test/sasdataloader/test/utest_cansas.py	(revision 83b6408fbfaefa4819b955c697fef834d8f033f6)
+++ test/sasdataloader/test/utest_cansas.py	(revision 1686a333c537addee2a00ed89b00c694826a8f17)
@@ -99,5 +99,5 @@
         self.assertTrue(data.detector[1].name == "main-detector-bank")
         self.assertTrue(data.detector[0].distance == 575.0)
-        self.assertTrue(data.detector[1].distance == 4145.02)
+        self.assertAlmostEqual(data.detector[1].distance, 4145.02)
         self.assertTrue(data.process[0].name == "Mantid generated CanSAS1D XML")
         self.assertTrue(data.meta_data["xmlpreprocess"] != None)
@@ -176,5 +176,5 @@
         data = list[0]
         self.assertTrue(data.x.size == 2)
-        self.assertTrue(len(data.meta_data) == 3)
+        self.assertTrue(len(data.meta_data) == 2)
         self.assertTrue(len(data.errors) == 1)
         self.assertTrue(data.detector[0].distance_unit == "mm")
